|  | Home · All Namespaces · All Classes · Main Classes · Grouped Classes · Modules · Functions |

# QGtkStyle Class Reference
[QtGui module]

The QGtkStyle class provides a widget style rendered by GTK+ More...

     #include <QGtkStyle>

Inherits QCleanlooksStyle.

This class was introduced in Qt 4.5.

- List of all members, including inherited members

### Public Functions

- QGtkStyle ()
- ~QGtkStyle ()

- 1 public function inherited from QCleanlooksStyle
- 23 public functions inherited from QStyle
- 29 public functions inherited from QObject

### Additional Inherited Members

- 1 property inherited from QObject
- 1 public slot inherited from QObject
- 1 signal inherited from QObject
- 6 static public members inherited from QStyle
- 5 static public members inherited from QObject
- 7 protected functions inherited from QObject
- 2 protected slots inherited from QStyle

## Detailed Description

The QGtkStyle class provides a widget style rendered by GTK+

The QGtkStyle style provides a look and feel that integrates well into GTK-based desktop environments such as the XFCe and GNOME.

It does this by making use of the GTK+ theme engine, ensuring that Qt applications look and feel native on these platforms.

Note: The style requires GTK+ version 2.10 or later. The Qt3-based "Qt" GTK+ theme engine will not work with QGtkStyle.

See also Cleanlooks Style Widget Gallery, QWindowsXPStyle, QMacStyle, QWindowsStyle, QCDEStyle, QMotifStyle, QPlastiqueStyle, and QCleanlooksStyle.

## Member Function Documentation

### QGtkStyle::QGtkStyle ()

Constructs a QGtkStyle object.

### QGtkStyle::~QGtkStyle ()

Destroys the QGtkStyle object.